## termbox 1.1.2+dfsg

=== debian/changelog ===
termbox (1.1.2+dfsg-7build1) resolute; urgency=medium

  * No-change rebuild with Python 3.14 as supported version

 -- Graham Inggs <ginggs@ubuntu.com>  Mon, 20 Oct 2025 15:07:30 +0000

termbox (1.1.2+dfsg-7) unstable; urgency=medium

  * Add missing Build-Depends on python3-setuptools. (Closes: #1080817)
  * Mark autopkgtest as superficial. (Closes: #974479)
  * Properly clean up build directory. (Closes: #1048589)

 -- Mo Zhou <lumin@debian.org>  Sat, 15 Mar 2025 15:44:06 -0400

termbox (1.1.2+dfsg-6) unstable; urgency=medium

  [ Alexandre Detiste ]
  * add build-dep on python3-zombie-imp (Closes: #1069221, #1074698)

 -- Mo Zhou <lumin@debian.org>  Thu, 04 Jul 2024 12:39:11 -0400

termbox (1.1.2+dfsg-5) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Add patch to fix FTBFS with python3.11. (closes: #1028687)

 -- Mo Zhou <lumin@debian.org>  Fri, 20 Jan 2023 16:40:11 -0500

termbox (1.1.2+dfsg-4) unstable; urgency=medium

  [ Debian Janitor ]
  * Bump debhelper from old 11 to 12.
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Update standards version to 4.5.0, no changes needed.

  [ Mo Zhou ]
  * Update my email address.

 -- Mo Zhou <lumin@debian.org>  Sun, 26 Jun 2022 10:44:56 -0700

termbox (1.1.2+dfsg-3) unstable; urgency=medium

  * Add autopkgtest control file.
  * python3-termbox doesn't Depend on libtermbox1.
  * Bump Standards-Version to 4.3.0 (no change).

 -- Mo Zhou <cdluminate@gmail.com>  Tue, 08 Jan 2019 01:41:46 +0000

termbox (1.1.2+dfsg-2) unstable; urgency=medium

  * Patch build system to support python3.7 (Closes: #914359)

 -- Mo Zhou <cdluminate@gmail.com>  Fri, 23 Nov 2018 06:32:53 +0000

termbox (1.1.2+dfsg-1) unstable; urgency=low

  * Initial release. (Closes: #911277)

 -- Mo Zhou <cdluminate@gmail.com>  Thu, 18 Oct 2018 03:25:09 +0000
