=== debian/control ===
Source: termbox
Section: devel
Homepage: https://github.com/nsf/termbox
Priority: optional
Standards-Version: 4.5.0
Vcs-Git: https://salsa.debian.org/debian/termbox.git
Vcs-Browser: https://salsa.debian.org/debian/termbox
Maintainer: Mo Zhou <lumin@debian.org>
Build-Depends:
	debhelper-compat (= 12),
	dh-python,
	python3-all-dev,
	python3-zombie-imp,
        python3-setuptools,
	cython3,

Package: libtermbox-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, libtermbox1 (= ${binary:Version}),
Description: Library for writing text-based user interfaces (dev)
 Termbox is a library that provides minimalistic API which allows the
 programmer to write text-based user interfaces.
 .
 It is based on a very simple abstraction. The main idea is viewing terminals
 as a table of fixed-size cells and input being a stream of structured
 messages. Would be fair to say that the model is inspired by windows console
 API. The abstraction itself is not perfect and it may create problems in
 certain areas.  The most sensitive ones are copy & pasting and wide characters
 (mostly Chinese, Japanese, Korean (CJK) characters). When it comes to copy &
 pasting, the notion of cells is not really compatible with the idea of text.
 And CJK runes often require more than one cell to display them nicely. Despite
 the mentioned flaws, using such a simple model brings benefits in a form of
 simplicity. And KISS principle is important.
 .
 At this point one should realize, that CLI (command-line interfaces) aren't
 really a thing termbox is aimed at. But rather pseudo-graphical user
 interfaces.
 .
 This package ships with headers and static library.

Package: libtermbox1
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Library for writing text-based user interfaces (lib)
 Termbox is a library that provides minimalistic API which allows the
 programmer to write text-based user interfaces.
 .
 It is based on a very simple abstraction. The main idea is viewing terminals
 as a table of fixed-size cells and input being a stream of structured
 messages. Would be fair to say that the model is inspired by windows console
 API. The abstraction itself is not perfect and it may create problems in
 certain areas.  The most sensitive ones are copy & pasting and wide characters
 (mostly Chinese, Japanese, Korean (CJK) characters). When it comes to copy &
 pasting, the notion of cells is not really compatible with the idea of text.
 And CJK runes often require more than one cell to display them nicely. Despite
 the mentioned flaws, using such a simple model brings benefits in a form of
 simplicity. And KISS principle is important.
 .
 At this point one should realize, that CLI (command-line interfaces) aren't
 really a thing termbox is aimed at. But rather pseudo-graphical user
 interfaces.
 .
 This package ships with shared object.

Package: python3-termbox
Section: python
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}, ${python3:Depends},
Description: Library for writing text-based user interfaces (Python)
 Termbox is a library that provides minimalistic API which allows the
 programmer to write text-based user interfaces.
 .
 It is based on a very simple abstraction. The main idea is viewing terminals
 as a table of fixed-size cells and input being a stream of structured
 messages. Would be fair to say that the model is inspired by windows console
 API. The abstraction itself is not perfect and it may create problems in
 certain areas.  The most sensitive ones are copy & pasting and wide characters
 (mostly Chinese, Japanese, Korean (CJK) characters). When it comes to copy &
 pasting, the notion of cells is not really compatible with the idea of text.
 And CJK runes often require more than one cell to display them nicely. Despite
 the mentioned flaws, using such a simple model brings benefits in a form of
 simplicity. And KISS principle is important.
 .
 At this point one should realize, that CLI (command-line interfaces) aren't
 really a thing termbox is aimed at. But rather pseudo-graphical user
 interfaces.
 .
 This package ships with Python3 binding of termbox.
