=== debian/tests/control ===
Test-Command: python3 -c 'import termbox as tb; print(tb)'
Restrictions: superficial
